Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#23379 - [protobuf] [protobuf-python] Merge packages

Attached to Project: Community Packages
Opened by Balló György (City-busz) - Tuesday, 22 March 2011, 07:37 GMT
Last edited by Sergej Pupykin (sergej) - Sunday, 17 July 2011, 16:48 GMT
Task Type Feature Request
Category Packages
Status Closed
Assigned To Thomas S Hatch (thatch45)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Please merge protobuf and protobuf-python packages, because both use the same source package, and protobuf-python always requires the same version of protobuf. (Currently, protobuf-python is broken, because it's older than protobuf.) I attached a merged package.
This task depends upon

Closed by  Sergej Pupykin (sergej)
Sunday, 17 July 2011, 16:48 GMT
Reason for closing:  Fixed
Comment by Thomas S Hatch (thatch45) - Tuesday, 22 March 2011, 15:42 GMT
You are right, I will co-ordinate this with sergej and get the bindings merged with the mainline properly. Thanks for the report
Comment by Sergej Pupykin (sergej) - Tuesday, 29 March 2011, 20:05 GMT
I suggest splitted PKGBUILD (python bindings has 'any' architecture)
Comment by Ionut Biru (wonder) - Tuesday, 29 March 2011, 20:15 GMT
@Sergej, dbscripts doesn't support such splits. basically you can't push any split packages that overwrites arch,pkgver,pkgrel
Comment by Sergej Pupykin (sergej) - Tuesday, 29 March 2011, 20:49 GMT
then first pkgbuild is good

@Thomas, I can delete my protobuf-python
Comment by Thomas S Hatch (thatch45) - Wednesday, 30 March 2011, 03:25 GMT
So Ionut, you are saying that it is bad form to make the PKGBUILD as sergej has done?

@Sergej, so the immediate issue with the python bindings is resolved and we are now in do it right" more correct?
Comment by Sergej Pupykin (sergej) - Tuesday, 05 April 2011, 16:43 GMT
@Thomas, I think it would be better to use first attached PKGBUILD until  FS#17390  is not fixed.
It should avoid problems with different versions of protobuf and protobuf-python in future.
Comment by Balló György (City-busz) - Monday, 30 May 2011, 14:14 GMT
A new version (2.4.1) released. Please make this change when you update these packages.
Comment by Balló György (City-busz) - Sunday, 17 July 2011, 16:36 GMT
Please close this task.

Loading...